package library.semantics;

public final class BitSet extends java.util.BitSet {
	
	private final int length;
	
	public BitSet() {
		super();
		this.length = 0;
	}
	
	public BitSet(int capacity) {
		super(capacity);
		this.length = capacity;
	}
	
	@Override
	public int length() {
		return this.length;
	}
	
	@Override
	public boolean equals(Object other) {
		boolean output = super.equals(other) && ((BitSet) other).length == this.length;
		assert !output || this.hashCode() == other.hashCode();
		return output;
	}
}
